Verify Email
POST
/api/v1/auth/verify-email
const url = 'https://api.qeychain.xyz/api/v1/auth/verify-email';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.qeychain.xyz/api/v1/auth/verify-email \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'Verify a user’s email address using the token from the verification email.
On success, sets email_verified=True and links any pending payments.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
VerifyEmailRequest
object
token
required
Token
string
Examplegenerated
{ "token": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}